Download it now!
Bug 123852 - Drag-and-drop file link for SVG image disappears after save and reopen
Summary: Drag-and-drop file link for SVG image disappears after save and reopen
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2019-03-04 22:05 UTC by wpeaton4
Modified: 2019-11-11 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wpeaton4 2019-03-04 22:05:25 UTC
Description:
Normal behavior: if you drag and drop a file into Writer while pressing CTL+SHIFT, the file will be inserted as a link.

If I insert a PNG file this way, I get a linked image in my document that persists after I save and reopen.

If I insert an SVG file this way, I get a linked image in my document. It shows up as a link in Edit...Links. But if I close and reopen, link disappears and vector image is replaced by some sort of bitmapped version.

If I insert a linked SVG file using the Insert...Image command or from the Image Properties dialog, then the link is preserved

Steps to Reproduce:
1. Drag and drop linked SVG image into Writer document using CTL+SHIFT
2. Save file
3. Open file. Vector image is replace by bitmap. Link disappears.

Actual Results:
Vector image is replace by bitmap. Link disappears.

Expected Results:
Vector image remains. Link is preserved.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 wpeaton4 2019-03-06 04:07:10 UTC
This bug does not seem to manifest on Linux. In Windows, I probably need to narrow it down between network drives and local drives.
Comment 2 Xisco Faulí 2019-03-14 18:40:00 UTC
Thank you for reporting the bug.
it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 3 wpeaton4 2019-03-15 16:22:26 UTC
Reproduced in 6.2.1.2. I believe this bug to be confined to Windows. 

This bug reliably occurs with long file names. When a file with a long name is dropped into a document as a link, the 8.3 name is used.

When a file with a long name is inserted from the menu command (Insert...Image...) as a link, the long name is used.

In the drag and drop case, the link disappears upon reopen and the image is replaced by a low resolution bitmapped thumbnail. In the menu case, the image link is preserved and the image is a vector image.

This problem is not confined to SVG files. I tested three different vector formats (SVG, SVM, EMF) and it occurred for all of them.
Comment 4 Xisco Faulí 2019-03-21 10:08:52 UTC
I can't reproduce it in

Versión: 6.2.2.1
Id. de compilación: fcd633fb1bf21b0a99c9acb3ad6e526437947b01
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?
Comment 5 wpeaton4 2019-03-21 15:41:21 UTC
Wiped my user profile and was able to reproduce again in 6.1.5.2

This problem is probably Windows only. And largely for long file names.

To reproduce:

1. Create a new Writer document.
2. From file manager/windows explorer drag and drop a vector file (EMF, WMF, SVG, SVM) with a long name into Writer while pressing CTL+SHIFT. This will create a link to the file. A long file name will have more than 8 characters before the extensions. (Example: long_picture_name.svg  17 chars before extension). 
3. Verify that image is a link. Do Edit...Links... See your image. It will not show as long_picture_name.svg, but instead as an all caps 8.3 name, LONG_P~1.SVG.
4. Save file.
5. Close file.
6. Open file. Link is gone. Image is replaced by some sort of low resolution raster thumbnail.
Comment 6 Xisco Faulí 2019-04-12 10:35:24 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 7 Dieter 2019-04-13 04:24:47 UTC
I can confirm it with

Version: 6.2.2.2 (x64)
Build-ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

but not with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 421e6fc3cd2e6fe37afbef341e2d0ad7b8edde37
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-07_01:12:58
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

So I think it has been fixed. Could you please try to reproduce it with master from https://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 8 QA Administrators 2019-10-11 02:38:11 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-11-11 03:38:27 UTC
Dear wpeaton4,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp